Package org.flowable.bpmn.model

# Class DataAssociation

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.DataAssociation

All Implemented Interfaces:
  `HasExtensionAttributes`

public class DataAssociation extends BaseElement

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Assignment>`
  `assignments`
  `protected String`
  `sourceRef`
  `protected String`
  `targetRef`
  `protected String`
  `transformation`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataAssociation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataAssociation`
  `clone()`
  `List<Assignment>`
  `getAssignments()`
  `String`
  `getSourceRef()`
  `String`
  `getTargetRef()`
  `String`
  `getTransformation()`
  `void`
  `setAssignments(List<Assignment> assignments)`
  `void`
  `setSourceRef(String sourceRef)`
  `void`
  `setTargetRef(String targetRef)`
  `void`
  `setTransformation(String transformation)`
  `void`
  `setValues(DataAssociation otherAssociation)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sourceRef

    protected String sourceRef

  - ### targetRef

    protected String targetRef

  - ### transformation

    protected String transformation

  - ### assignments

    protected List<Assignment> assignments

- ## Constructor Details

  - ### DataAssociation

    public DataAssociation()

- ## Method Details

  - ### getSourceRef

    public String getSourceRef()

  - ### setSourceRef

    public void setSourceRef(String sourceRef)

  - ### getTargetRef

    public String getTargetRef()

  - ### setTargetRef

    public void setTargetRef(String targetRef)

  - ### getTransformation

    public String getTransformation()

  - ### setTransformation

    public void setTransformation(String transformation)

  - ### getAssignments

    public List<Assignment> getAssignments()

  - ### setAssignments

    public void setAssignments(List<Assignment> assignments)

  - ### clone

    public DataAssociation clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(DataAssociation otherAssociation)